Outpost logoOutpost Docs

Get all events for a specific phone number

GET
/v1/phones/{phone}/events

Get all events for a specific phone number with pagination and filters

x-api-key<token>

Project-scoped API key. Keys carry either the ADMIN or TENANT role; a route additionally requires that the key's role is listed in its x-required-roles. Machine-to-machine callers should use this.

In: header

Path Parameters

phone*string

Phone number in E.164 format (e.g., +12488778283)

Match^\+[1-9]\d{1,14}$

Query Parameters

count?string
cursor?string
category?string

Value in

  • "MESSAGE"
  • "PHONE"
type?string

Value in

  • "QUEUED"
  • "PROVIDER_ACCEPTED"
  • "PROVIDER_FAILED"
  • "SENT"
  • "CARRIER_ROUTING"
  • "DELIVERED"
  • "FAILED"
  • "ATTEMPT_FAILED"
  • "BLOCKED"
  • "CARRIER_ERROR"
  • "MAX_ATTEMPTS_REACHED"
  • "ACTIVE_ATTEMPTS"
  • "PHONE_NOT_FOUND"
  • "NO_SEND_OPT_OUT"
  • "VALIDATION_FAILED"
  • "OPTED_OUT"
  • "OPTED_IN"
  • "INVALID_NUMBER"
  • "DUPLICATE"
messageId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/phones/string/events"
{  "items": [    {      "eventId": "string",      "messageId": "string",      "tenantId": "string",      "projectId": "string",      "category": "MESSAGE",      "clientPhoneNumber": "string",      "type": "QUEUED",      "providerEventType": "string",      "raw": "string",      "webhookDeliveries": [        {          "webhookDeliveryId": "string",          "projectId": "string",          "webhookConfigId": "string",          "destinationUrl": "string",          "requestHeaders": {            "property1": "string",            "property2": "string"          },          "status": "PENDING",          "statusCode": 0,          "responseHeaders": {            "property1": "string",            "property2": "string"          },          "errorMessage": "string",          "scheduledAt": 0,          "completedAt": 0        }      ],      "occurredAt": 0,      "createdAt": 0,      "updatedAt": 0    }  ],  "cursor": "string"}